For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • Welcome
  • API Reference
      • GETListar Webhooks
      • POSTCrear Webhook
      • GETObtener Webhook
      • DELEliminar Webhook
      • PATCHActualizar Webhook
Logo
API ReferenceWebhooks

Actualizar Webhook

PATCH
https://nebrijaai.com/api/v1/webhooks/:id
PATCH
/api/v1/webhooks/:id
$curl -X PATCH https://nebrijaai.com/api/v1/webhooks/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
3 "url": "https://hooks.nebrijaai.com/callbacks/voice-events",
4 "events": [
5 "call.started",
6 "call.finished"
7 ],
8 "description": "Webhook para recibir eventos de llamadas de voz",
9 "secret": "whsec_9f8e7d6c5b4a3e2f1d0c",
10 "createdAt": "2024-01-15T09:30:00Z"
11}

Actualiza la URL, los eventos o la descripción de un webhook.

Was this page helpful?
Previous

Listar Números de Teléfono

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
urlstringOptionalformat: "uri"
eventslist of stringsOptional
descriptionstringOptional

Response

Webhook actualizado.
idstringformat: "uuid"
urlstring
eventslist of strings

Ejemplo: call.finished, call.started

descriptionstring
secretstring

Secreto de firma HMAC (formato: whsec_…). Solo visible en la creación.

createdAtdatetime